<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.system.user.dao.mapper.UserInfoMapper">
    <resultMap id="BaseResultMap" type="cn.com.ty.lift.system.user.dao.entity.UserInfo">
        <id column="user_id" property="userId" jdbcType="BIGINT"/>
        <result column="name" property="name" jdbcType="VARCHAR"/>
        <result column="mobile" property="mobile" jdbcType="CHAR"/>
        <result column="gender" property="gender" jdbcType="TINYINT"/>
        <result column="age" property="age" jdbcType="TINYINT"/>
        <result column="remarks" property="remarks" jdbcType="VARCHAR"/>
        <result column="signature" property="signature" jdbcType="VARCHAR"/>
        <result column="service_total" property="serviceTotal" jdbcType="INTEGER"/>
        <result column="satisfaction_total" property="satisfactionTotal" jdbcType="INTEGER"/>
        <result column="level" property="level" jdbcType="INTEGER"/>
        <result column="maintenance_total" property="maintenanceTotal" jdbcType="INTEGER"/>
        <result column="emergency_total" property="emergencyTotal" jdbcType="INTEGER"/>
        <result column="lift_total" property="liftTotal" jdbcType="INTEGER"/>
        <result column="balance" property="balance" jdbcType="DECIMAL"/>
        <result column="freeze_balance" property="freezeBalance" jdbcType="DECIMAL"/>
        <result column="alipay_account" property="alipayAccount" jdbcType="VARCHAR"/>
        <result column="alipay_id" property="alipayAccount" jdbcType="VARCHAR"/>
        <result column="type" property="type" jdbcType="VARCHAR"/>
        <result column="delete_flag" property="deleteFlag" jdbcType="INTEGER"/>
    </resultMap>

    <resultMap id="ResultMapWithBLOBs" type="cn.com.ty.lift.system.user.dao.entity.UserInfo" extends="BaseResultMap">
        <result column="avatar_url" property="avatarUrl" jdbcType="LONGVARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
		user_id, name, mobile, gender, age, remarks, signature, service_total, satisfaction_total, 
		level, maintenance_total, emergency_total, lift_total, balance,freeze_balance, alipay_account,
		alipay_id, type, deleteFlag
	</sql>

    <sql id="Blob_Column_List">
		avatar_url
	</sql>

</mapper>